clear all

set linesize 80
use state_trait
describe

corr trait4 trait5 trait9 trait15 state6 state9 state12 state17

factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf 

estat structure

quietly factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf 
mata: loadings = st_matrix("e(L)") // create a Mata matrix of the loadings
mata: loadsq = loadings :^2 // square each of the loadings
mata: colsum(loadsq) // sum the squared loadings for a factor; equal to eigenvalues 
mata: st_matrix("e(Ev)") // compare with eigenvalues computed by factor

mata: colsum(loadsq) :/ 8 // proportion of variance explained

mata: rowsum(loadsq) // communalities
mata: 1 :-rowsum(loadsq) // uniqueness

quietly factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf 
screeplot, xtitle("Factor number") xlabel(0(1)8) scheme(lean2)


paran trait4 trait5 trait9 trait15 state6 state9 state12 state17, ///
	factor(pcf) seed(3987) quietly

matrix actual = e(UnadjustedEv)
matrix actual = actual'
matrix random = e(CentRandomEv)
matrix random = random'
svmat actual, names(actual)
svmat random, names(random)
generate factornum = _n in 1/8
twoway scatter actual factornum, connect(L) || ///
	scatter random factornum, connect(L) ///
	ytitle("Eigenvalue") xtitle("Factor number") ///
	scheme(lean2) ///
	legend(label(1 "Data") label(2 "Random"))
		   


factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf factors(2)
loadingplot, xlab(-.4(.2)1) ylab(-.4(.2)1) aspect(1) yline(0) xline(0) scheme(lean2)


quietly factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf
matrix unrotated = e(L)
rotate, varimax normalize
matrix rotate_mat = e(r_T)

loadingplot, xlab(-.4(.2)1) ylab(-.4(.2)1) aspect(1) yline(0) xline(0) scheme(lean2)

estat structure

matrix rotated = unrotated*rotate_mat
matrix list rotated

quietly factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf
rotate, promax normalize

loadingplot, xlab(-.4(.2)1) ylab(-.4(.2)1) aspect(1) yline(0) xline(0) scheme(lean2)

estat structure

estat common

quietly factor trait4 trait5 trait9 trait15 state6 state9 state12 state17, pcf
estat common
quietly rotate, varimax normalize
estat common
