clear all
set more off
set linesize 80


use pasatwide
list in 1/3, clean

summarize cor_pasat1-cor_pasat4

graph box cor_pasat1-cor_pasat4, ytitle("Number of correct answers") scheme(lean2) ///
	legend(rows(1) position(6))


reshape long cor_pasat, i(part) j(trial)
list in 1/12, clean

use pasatlong, clear
list part trial cor_pasat in 1/4, clean


mixed cor_pasat i.trial || part:, noconstant reml dfmethod(residual) residuals(independent) nolog

estat ic

contrast trial, small  

anova cor_pasat i.trial

mixed cor_pasat i.trial || part:, noconstant  residuals(exchangeable) reml  ///
	dfmethod(satterthwaite, oim) nolog

estat wcorrelation

estat ic

mixed cor_pasat i.trial || part:, noconstant residuals(ar 1, t(trial) ) reml ///
	dfmethod(satterthwaite, oim) nolog

estat wcorrelation

estat ic

mixed cor_pasat i.trial || part:, noconstant residuals(toeplitz 1, t(trial) ) reml ///
	dfmethod(satterthwaite, oim) nolog
estimates store toep1

estat ic

estat wcorrelation


quietly mixed cor_pasat i.trial || part:, noconstant residuals(toeplitz 2, t(trial) ) reml ///
	dfmethod(satterthwaite, oim) nolog
quietly estimates store toep2
estat ic

quietly mixed cor_pasat i.trial || part:, noconstant residuals(toeplitz 3, t(trial) ) reml ///
	dfmethod(satterthwaite, oim) nolog
quietly estimates store toep3
estat ic

lrtest toep1 toep2
lrtest toep2 toep3

mixed cor_pasat i.trial || part:, noconstant residuals(unstructured, t(trial) ) reml ///
	dfmethod(satterthwaite, oim) nolog

estat ic

estat wcorrelation

pwcompare trial, small mcompare(scheffe) effects

matrix list r(table_vs)

display "Scheffe critical value is " sqrt(3*invFtail(3, 101, 0.05))

pwcompare trial, small mcompare(noadjust) effects



mixed cor_pasat i.trial##i.cond || part:, noconstant residuals(exchangeable) reml ///
	dfmethod(satterthwaite, oim)
contrast trial cond trial#cond, small
estat ic

mixed cor_pasat i.trial##i.cond || part:, noconstant residuals(ar 1, t(trial) ) reml ///
	dfmethod(satterthwaite, oim)
estat ic
contrast trial cond trial#cond, small 

mixed cor_pasat i.trial##i.cond || part:, noconstant residuals(toeplitz 1, t(trial)) reml ///
	dfmethod(satterthwaite, oim)
estat ic

contrast trial cond trial#cond, small  


mixed cor_pasat i.trial##i.cond || part:, noconstant residuals(unstructured, t(trial)) reml ///
	dfmethod(satterthwaite, oim) nolog

estat ic

quietly margins, at(trial = (1(1)4) cond = (0 1))
marginsplot, scheme(lean2) ytitle("Expected PASAT") title("")



estat wcorrelation

contrast trial cond trial#cond, small 


reshape wide cor_pasat, i(part cond) j(trial)
graph box cor_pasat1-cor_pasat4, over(cond) scheme(lean2) ///
	ytitle("Correct PASAT") ///
	legend(label(1 "1") label(2 "2") label(3 "3") label(4 "4") ///
		   title("Trial", size(medium)))
reshape long



mixed cor_pasat i.trial##i.cond || part:, noconstant residuals(unstructured, t(trial) by(cond)) reml ///
	dfmethod(satterthwaite, oim) nolog
estimates store heterosc
estat ic

quietly mixed cor_pasat i.trial##i.cond || part:, noconstant residuals(unstructured, t(trial)) reml ///
	dfmethod(satterthwaite, oim)
estimates store homosc
estat ic
lrtest homosc heterosc


estimates store rest

mixed cor_pasat ibn.trial i.cond, noconstant || part:, noconstant residuals(unstructured, t(trial) by(cond)) reml ///
	dfmethod(satterthwaite, oim)
estat ic

estimates store full

estat wcorrelation

contrast trial, small

//lrtest rest full
