clear all
set more off
set linesize 80

power twomeans 0.5 0, sd(1) n(100) alpha(0.05) knownsds

*Power t-test
power twomeans 0.5 0, sd(1) n(100) alpha(0.05)

*Power for a range of sample sizes
power twomeans 0.5 0, sd(1) n(20(10)100) alpha(0.05)

*Power for a range of sample sizes
power twomeans 0.5 0, sd(1) n(20(10)100) alpha(0.05) graph(scheme(lean2))


*Detectable difference for a range of power values
power twomeans 0, sd(1) n(60(10)200) power(0.8) alpha(0.05) graph(ytitle("Detectable difference ({&delta})") ylabel(0(.25)1) xlabel(60(20)200) scheme(lean2))


*Sample size required for a range of differences
power twomeans 0, sd(1) diff(0.2(.05)0.5) power(0.8) alpha(0.05) graph(xtitle("Effect size ({&delta})") scheme(lean2))


*Dectable difference as a function of power and sample size
power twomeans 0, sd(1) n(20(10)100) power(0.6(0.1)0.9) alpha(0.05) graph( ytitle("Detectable difference ({&delta})") title("Detectable difference for a two-tailed t-test ({&alpha} = 0.05)") subtitle("") note("") scheme(lean2))


*Sample size requirement as a fnction of effect and power
power twomeans 0, sd(1) diff(0.2(.2)0.8) power(0.6(.1)0.9) alpha(0.05) graph( ytitle("Total sample size (N)") title("Sample size requirements as a function of power and effect size") subtitle("") note("") legend(title("Effect size ({&delta})")) scheme(lean2))



power onecorrelation 0.2 0, n(25(25)150) alpha(0.05) graph(scheme(lean2))


power onecorrelation 0  (0.1(0.1)0.5), power(0.8) graph(scheme(lean2))

						   
power onecorrelation 0,  n(25(25)150) power(0.8) graph(title("Detectable correlation as a function of sample size") ytitle("Detectable correlation ({&rho})") scheme(lean2))





local meanvar = 0.05
local errorvar = 1 - `meanvar'
display `meanvar'/(`meanvar' + `errorvar')
power oneway, varmeans(`meanvar') varerror(`errorvar') ngroups(2)

power oneway, n(90) varmeans(.05) varerror(.95) ngroups(3) alpha(0.05)


power oneway, n(30(30)210) varmeans(.05) varerror(.95) ngroups(3) graph(scheme(lean2)) alpha(0.05)


power oneway, ngroups(3) varmeans(.05(.05).25) varerror(.95(.05).75) parallel alpha(0.05) power(0.8)


power twoway, varrow(0.03) varerror(0.97)  nrows(2) ncols(2) n(200)
power twoway, varcolumn(0.05) varerror(0.95)  nrows(2) ncols(2) n(200)
power twoway, varrowcolumn(0.01) varerror(0.99)  nrows(2) ncols(2) n(200)

power twoway, varrowcolumn(0.03) varerror(0.97)  nrows(2) ncols(2) n(200)
power twoway, varrowcolumn(0.05) varerror(0.95)  nrows(2) ncols(2) n(200)
power twoway, varrowcolumn(0.01) varerror(0.99)  nrows(2) ncols(2) n(200)

power twoway, varrowcolumn(0.03) varerror(0.97)  nrows(2) ncols(2) power(0.8)

power twoway, varrowcolumn(0.05(0.05)0.25) varerror(0.95(0.05)0.75)  nrows(2) ncols(2) power(0.8) parallel
