
set linesize 80

use "gss_attitude", clear

regress attitude educ

display _b[_cons] + _b[educ]*8
display _b[_cons] + _b[educ]*12
display _b[_cons] + _b[educ]*16

margins, at(educ = (8 12 16))


marginsplot, scheme(lean2)



marginsplot, ylabel(1(1)4 1 "SA" 2 "AS" 3 "DS" 4 "SD") ///
	ytitle("Attitude") xtitle("Education") title("") scheme(lean2)



marginsplot, ylabel(1(1)4 1 "SA" 2 "AS" 3 "DS" 4 "SD") ///
	ytitle("Attitude") xtitle("Education") title("") scheme(lean2) ///
	recast(line) recastci(rarea) ciopts(color(gs8) fcolor(gs8%50))



quietly margins, at(educ = (1(1)20))
marginsplot, ylabel(1(1)4 1 "SA" 2 "AS" 3 "DS" 4 "SD") ///
	ytitle("Attitude") xtitle("Education") title("") scheme(lean2) ///
	recast(line) recastci(rarea) ciopts(color(gs8) fcolor(gs8%50)) ///
	addplot(scatter attitude educ, below color(gs4%50) msymbol(circle_hollow) jitter(4)) /// 
	legend(off)



predict e_att
predict e_att_se, stdp
generate ell = e_att - 1.96*e_att_se
generate eul = e_att + 1.96*e_att_se

twoway scatter attitude educ, jitter(4) mcolor(gs4) || /// 
	rarea ell eul educ, sort color(black) fcolor(gs8%50) || ///
	line e_att educ, lcolor(black) scheme(lean2) ///
	legend(off) ///
	ylabel(1(1)4 1 "SA" 2 "AS" 3 "DS" 4 "SD") ///
	ytitle("Attitude") xtitle("Education")

graph export att_educ_pred1

predict pp_att_se, stdf
generate ppll = e_att - 1.96*pp_att_se
generate ppul = e_att + 1.96*pp_att_se

twoway scatter attitude educ, jitter(4) mcolor(gs4) || /// 
	rarea ppll ppul educ, sort fcolor(gs12%70)  || ///
	rarea ell eul educ, sort fcolor(gs8%50) || ///
	line e_att educ, lcolor(black) scheme(lean2) ///
	legend(off) ///
	ylabel(1(1)4 1 "SA" 2 "AS" 3 "DS" 4 "SD") ///
	ytitle("Attitude") xtitle("Education")

graph export att_educ_pred2


lincom (_b[educ]*16 + _b[educ]*17 + _b[educ]*18 + _b[educ]*19 + _b[educ]*20)/5 - _b[educ]*12
	


